Skip to main content
Pages

Update a page

PUT
/pages/{id}
x-api-keystringheaderrequired

Your Siteglide API key

x-site-idstringheaderrequired

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

idstringrequired

The ID of the page to update

Example: 1234

Body

application/json
contentstring
formatstring
Example: html
layoutstring
Example: application
merge_metadataboolean

When true (default), merges provided metadata with existing metadata. When false, replaces it entirely.

Example: true
metadataobject
redirect_codestring
Example: 301
redirect_tostring
Example: /other-page
request_methodstring
Example: GET
response_headersobject
searchableboolean
Example: true
slugstring

Must be unique. Only validated if the slug is being changed.

Example: my-updated-page

OK